Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7657 - up2date wipes out .mailcap file first time it runs
Summary: up2date wipes out .mailcap file first time it runs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-07 19:02 UTC by Mark Lord
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-24 18:51:39 UTC


Attachments (Terms of Use)

Description Mark Lord 1999-12-07 19:02:45 UTC
When the redhat update agent is run for the very first time,
it wipes out the user's ~/.mailcap file, replacing it with
two new lines for the update manager.

Once the two lines are in ~/.mailcap, the problem goes away.

Not sure where the bug is, since the /sbin/up2date script
appears to try to open the .mailcap in "w+" mode.. maybe this
is not a valid mode in Pythonspeak?

Cheers

mlord@pobox.com

Comment 1 Mark Lord 1999-12-07 19:16:59 UTC
Ahh.. looked in the Python references, and the "w+" mode means "truncate".
This script /usr/sbin/up2date should be using "w" instead of "w+" when
opening the ~/.mailcap file for updating!!

-ml

Comment 2 Mark Lord 1999-12-07 19:18:59 UTC
Ooopps.. meant to say that open mode should be "a", not "w" or "w+"!!

Comment 3 Preston Brown 2000-02-24 18:51:59 UTC
this is very true.  fixed for 6.2.


Note You need to log in before you can comment on or make changes to this bug.